Name:           aprsdigi
Version:        3.5.1
Release:        4%{?dist}
Summary:        AX.25 Automatic Position Reporting System

License:        GPLv2
URL:            http://aprsdigi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libax25-devel
BuildRequires:  systemd
Requires:       kernel-modules-extra
Requires:       ax25-tools
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Aprsdigi is a specialized Amateur Packet Radio (AX.25) UI-frame digipeater
for the Automatic Position Reporting System, APRS(tm).  

Aprsmon collects and displays standard AX.25 UI text frames in a format similar
to that output by a standard TNC in "Monitor ON" mode and is intended
to be used with programs like javAPRS which wish to see a TNC data
stream over a TCP connection.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install

install -D -m 644 aprsdigi.service %{buildroot}%{_unitdir}/aprsdigi.service
install -D -m 644 aprsbeacon.service %{buildroot}%{_unitdir}/aprsbeacon.service
install -D -m 644 aprsdigi.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/aprsdigi

# Create empty conf file directing the user where to look
mkdir -p %{buildroot}%{_sysconfdir}/ax25
echo > %{buildroot}%{_sysconfdir}/ax25/%{name}.conf << EOL
# See the following %{name} documentation for settings that belong here:
# README.examples
# aprsdigi.conf
EOL


%post
%systemd_post aprsdigi.service
%systemd_post aprsbeacon.service

%preun
%systemd_preun aprsdigi.service
%systemd_preun aprsbeacon.service

%postun
%systemd_postun_with_restart aprsdigi.service 
%systemd_postun_with_restart aprsbeacon.service 


%files
%doc AUTHORS ChangeLog NEWS README TODO *.html examples
%{_sbindir}/aprsdigi
%{_sbindir}/aprsmon
%{_mandir}/man8/*
%{_unitdir}/aprsbeacon.service
%{_unitdir}/aprsdigi.service
%{_sysconfdir}/ax25/
%config(noreplace) %{_sysconfdir}/ax25/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/aprsdigi


%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 Richard Shaw <hobbes1069@gmail.com> - 3.5.1-2
- Created dummy aprsdigi.conf file which points to documentation.
- Added ax25-tools as a requirement.
- Mark config files appropriately so they don't get overwritten on update.

* Thu Oct  3 2013 Richard Shaw <hobbes1069@gmail.com> - 3.5.1-1
- Initial packaging.
